## cinnamon 5.4.12+vanessa

=== debian/changelog ===
cinnamon (5.4.12+vanessa) vanessa; urgency=medium

  [ Michael Webster ]
  * environment: Add an onUpdate parameter for easing.
  * Don't hide gwl when opening overview and expo.
  * expo: Use unique pointer trackers for motion tracking.
  * expo: Fix opening transition.
  * feature_request.md: Checklist is unnecessary.

  [ Asghwor ]
  * Fix workspaces grid layout (#11094)

  [ Michael Webster ]
  * grouped-window-list: Don't create a new clone each time getThumbnail is called, don't connect to notify::size.
  * windowUtils: Use the window actor's texture instead of a cairo surface for static clones.
  * expo: Don't create monitor clones until the ExpoThumbnailBox is allocated.
  * gwl: Redo the layout when switching workspaces.
  * gwl: Fix a warning.
  * windowManager.js: Filter out non-current-workspace windows when determining 'seen' windows.
  * gwl: Only monitor size-changed while using textures, along with minimized state. Remove once all and no longer monitor once a clone can be used.
  * gwl: Monitor clones, but only to update size.
  * environment.js: Fix is_finalized() check.

  [ Fabio Fantoni ]
  * Fix 2 man pages

  [ Michael Webster ]
  * layout.js: Connect to tracked actors' destroy signal.
  * cs_windows: Use 'bring-windows-to-current-workspace' in its new location, mark the old dconf key as unused.

  [ anaximeno ]
  * fix: fix use of undeclared variable

  [ Attila Greguss ]
  * Fix getTabList in js.main

  [ Michael Webster ]
  * systray applet: Don't continue processing an icon if it gets destroyed before we can show it.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 05 Sep 2022 15:13:05 +0100

cinnamon (5.4.11) vanessa; urgency=medium

  [ Michael Webster ]
  * keybindings.js: Use bindings.get() - this.bindings is a Map.
  * Re-add soup 2.4 bindings as a runtime-only dependency, and add a version requirement to cinnamon's environment.

  [ JosephMcc ]
  * Reimplement the locate pointer functionality

  [ Michael Webster ]
  * cs_sound.py: Add some more sound ids to ignore.
  * keybindings.js: Fix incorrect check.
  * screenshot.js: Improve button event handling, listen to stage events during rubber-banding.
  * st-theme-node.c: Fix a leak when falling back to the default theme on 'important' ui elements.
  * locatePointer: Only grab the keybinding if the feature is enabled.

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Aug 2022 12:13:03 +0200

cinnamon (5.4.10) vanessa; urgency=medium

  [ Michael Webster ]
  * live previews: Use clones when valid, and static images in certain situations when a usable clone or texture isn't guaranteed.
  * windowAttentionHandler: Fix new window focus issue with Firefox.
  * keybindings.js: Use a js Map to track keybindings and handle changes to custom keybindings properly.
  * osdWindow.js: Use correct allocation size for the fill level instead of the parent width.

  [ ronyala ]
  * Remove rtl workaround for the triangle arrow direction, (#10980)

  [ Michael Webster ]
  * windowAttentionHandler: remove notification fallback, re-add all 5.2 names to the pass-thru list.
  * windowManager.js: get rid of (non-cinnamon) popup menu animations.
  * sound@cinnamon.org: Fix panel scrolling behavior.
  * windowManager.js: Complete the workspace switch immediately if no windows end up being animated.
  * panel.js: Don't create a (horizontal) panel barrier for a vertical panel if there is a horizontal panel adjacent to it.
  * panel.js: No barriers when there is only a single monitor.
  * panel.js: global.screen -> global.display

  [ Secret-chest ]
  * More issue templates, not everything is a bug report (#11011)

  [ Michael Webster ]
  * Fix bug remplate, remove question template.

  [ Leigh Scott ]
  * Remove unused soup (#11002)

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 13 Aug 2022 12:31:37 +0200

cinnamon (5.4.9) vanessa; urgency=medium

  [ Michael Webster ]
  * sound applet: Fix the context menu's input mute icon.

  [ JosephMcc ]
  * thumbails: Update the Adwaita thumbnails for cs_themes (#10968)

  [ tedlava ]
  * Imported submodule explicitly from PIL to fix bug (#10955)

  [ Michael Webster ]
  * cinnamon-gtk-embed: Clamp transparency of the tray icon's underlying MetaWindowActor.
  * cinnamon-window-tracker: Use a different method for matching existing apps and new windows by pid.
  * gwl: Fix updating tooltips and previews when the applet's panel is move to the top edge.
  * windowManager: Fix a missing default case, return early when individual effects are disabled, not just when they all are.
  * signalManager: Make it slightly easier to debug signals and access- after-destroy warnings.
  * gwl: Disconnect size notify signals from actors when they become unmanaged.
  * windowManager.js: Fix gtk popup menu animations.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 01 Aug 2022 16:07:57 +0200

cinnamon (5.4.8) vanessa; urgency=medium

  [ Michael Webster ]
  * g-w-l/workspace-switcher: Fix random crash and errors when adding and removing workspaces.
  * workspace-switcher: Replace global.screen with global.display.

  [ JosephMcc ]
  * overview.js: Don't hide the global.window_group while animating
  * theme: Finish fixing the gwl thumbnail theming (#10963)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 Jul 2022 15:03:46 +0200

cinnamon (5.4.7) vanessa; urgency=medium

  [ Michael Webster ]
  * cinnamonDbus: Have cinnamon-settings-daemon provide monitor coordinates for the showOSD method, instead of a monitor index.
  * power applet: Use step up/down when scrolling on the brightness sliders instead of directly setting a value.

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 24 Jul 2022 13:45:41 +0200

cinnamon (5.4.6) vanessa; urgency=medium

  [ fredcw ]
  * Menu applet: Fix typo (#10952)

  [ Clement Lefebvre ]
  * l10n: Update POT

  [ Michael Webster ]
  * gwl: Ignore 'smooth' scroll events when scrolling.
  * menu applet: Strip the spaces from button search strings.



=== debian/control ===
Source: cinnamon
Section: x11
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 dpkg-dev (>= 1.16.1~),
 gir1.2-json-1.0,
 gnome-pkg-tools (>= 0.11),
 gobject-introspection (>= 1.29.15),
 gtk-doc-tools,
 intltool,
 libcinnamon-desktop-dev (>= 5.3),
 libcinnamon-menu-3-dev (>= 4.8),
 libcjs-dev (>= 4.8),
 libdbus-1-dev,
 libgirepository1.0-dev (>= 1.29.15),
 libgl1-mesa-dev,
 libglib2.0-dev (>= 2.52),
 libgstreamer1.0-dev,
 libgtk-3-dev (>= 3.9.12),
 libgudev-1.0-dev,
 libjson-glib-dev (>= 0.13.2),
 libmuffin-dev (>= 5.3),
 libnm-dev (>= 1.6) [linux-any],
 libnma-dev [linux-any],
 libpolkit-agent-1-dev (>= 0.100),
 libpulse-dev,
 librsvg2-dev,
 libstartup-notification0-dev (>= 0.11),
 libxapp-dev (>= 2.0.0),
 libxfixes-dev (>= 1:5.0),
 meson,
 python3:any,
Standards-Version: 3.9.5
Homepage: https://projects.linuxmint.com/cinnamon/

Package: cinnamon
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 adwaita-icon-theme,
 cinnamon-common,
 cinnamon-control-center,
 cinnamon-desktop-data (>= 5.3),
 cinnamon-l10n,
 cinnamon-screensaver,
 cinnamon-session,
 cinnamon-settings-daemon (>= 5.3),
 cjs (>= 4.8),
 cups-pk-helper,
 gir1.2-accountsservice-1.0,
 gir1.2-caribou-1.0,
 gir1.2-cinnamondesktop-3.0 (>= 5.3),
 gir1.2-cmenu-3.0 (>= 4.8),
 gir1.2-cvc-1.0,
 gir1.2-ecal-2.0,
 gir1.2-edataserver-1.2,
 gir1.2-gkbd-3.0,
 gir1.2-goa-1.0,
 gir1.2-gsound-1.0,
 gir1.2-gtkclutter-1.0,
 gir1.2-ical-3.0,
 gir1.2-keybinder-3.0,
 gir1.2-meta-muffin-0.0 (>= 5.3),
 gir1.2-nm-1.0 [linux-any] | gir1.2-networkmanager-1.0 [linux-any],
 gir1.2-nma-1.0 [linux-any],
 gir1.2-notify-0.7,
 gir1.2-polkit-1.0,
 gir1.2-soup-2.4,
 gir1.2-upowerglib-1.0,
 gir1.2-xapp-1.0 (>= 1.9.0),
 gkbd-capplet,
 gsettings-desktop-schemas (>= 0.1.7),
 iso-flag-png,
 inxi,
 libcanberra-pulse,
 libcinnamon-desktop4 (>= 5.3),
 libcinnamon-menu-3-0,
 libcjs0f,
 libglib2.0-bin,
 libmuffin0 (>= 5.3),
 mate-panel | gnome-panel | tint2,
 mesa-utils,
 metacity,
 nemo,
 network-manager-gnome [linux-any],
 policykit-1-gnome,
 python3,
 python3-dbus,
 python3-distro,
 python3-gi,
 python3-gi-cairo,
 python3-pam | python3-pampy,
 python3-pexpect,
 python3-pil,
 python3-pyinotify,
 python3-requests,
 python3-setproctitle,
 python3-tinycss2 | python3-tinycss,
 python3-tz,
 streamer,
 wget,
 xapps-common (>= 1.9.0),
 ${gir:Depends},
 ${icon-theme:Depends},
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 gnome-terminal | x-terminal-emulator,
 gnome-themes-extra | gnome-themes-standard,
Suggests: cinnamon-doc
Provides: notification-daemon, x-window-manager
Description: Modern Linux desktop
 Cinnamon is a modern Linux desktop which provides advanced innovative
 features and a traditional user experience. It's easy to use, powerful
 and flexible.

Package: cinnamon-common
Architecture: all
Depends:
 gettext,
 gir1.2-cinnamondesktop-3.0 (>= 5.3),
 gir1.2-meta-muffin-0.0 (>= 5.3),
 gir1.2-timezonemap-1.0,
 python3-xapp,
 xdg-utils,
 ${misc:Depends},
 ${python3:Depends},
Description: Cinnamon desktop (Common data files)
 Cinnamon is a modern Linux desktop which provides advanced innovative
 features and a traditional user experience. It's easy to use, powerful
 and flexible.
 .
 This package contains the architecture independent files needed by Cinnamon

Package: cinnamon-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 cinnamon (= ${binary:Version}),
 cinnamon-control-center-dbg,
 libcinnamon-desktop-dbg (>= 5.3),
 libcinnamon-menu-3-0-dbg (>= 4.8),
 libcjs-dbg (>= 4.8),
 libcvc-dbg,
 muffin-dbg (>= 5.3),
 nemo-dbg,
 ${misc:Depends},
Description: Debugging symbols for the Cinnamon desktop
 Cinnamon is a modern Linux desktop which provides advanced innovative
 features and a traditional user experience. It's easy to use, powerful
 and flexible.
 .
 This package contains the debugging symbols.

Package: cinnamon-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: devhelp, ${misc:Depends}
Description: Cinnamon documentation
 Cinnamon is a modern Linux desktop which provides advanced innovative
 features and a traditional user experience. It's easy to use, powerful
 and flexible.
 .
 This package contains the code documentation for various Cinnamon components.

## cinnamon 5.6.5

=== debian/changelog ===
cinnamon (5.6.5-2) unstable; urgency=medium

  * Release to unstable

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 25 Dec 2022 19:59:48 +0100

cinnamon (5.6.5-1) experimental; urgency=medium

  * New upstream version 5.6.5
  * Refresh d/patches
  * d/control: remove xapp from cinnamon deps and add to recommends
    libxapp-gtk3-module and xapp-sn-watcher
  * Bump version of needed deps to 5.6

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Tue, 20 Dec 2022 21:21:44 +0100

=== debian/control ===
Source: cinnamon
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Norbert Preining <norbert@preining.info>,
 Joshua Peisach <itzswirlz2020@outlook.com>,
 Christoph Martin <martin@uni-mainz.de>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-gir,
 dh-sequence-python3,
 gnome-pkg-tools (>= 0.11),
 gobject-introspection (>= 1.29.15),
 gtk-doc-tools,
 intltool,
 libcinnamon-desktop-dev (>= 5.6~),
 libcinnamon-menu-3-dev (>= 5.4~),
 libcjs-dev (>= 5.4~),
 libdbus-1-dev,
 libgirepository1.0-dev (>= 1.29.15),
 libgl1-mesa-dev,
 libglib2.0-dev (>= 2.52.0),
 libgstreamer1.0-dev,
 libgtk-3-dev (>= 3.9.12),
 libjson-glib-dev (>= 0.13.2),
 libmuffin-dev (>= 5.6~),
 libnm-dev (>= 1.6) [linux-any],
 libnma-dev [linux-any],
 libpolkit-agent-1-dev (>= 0.100),
 libpulse-dev,
 libstartup-notification0-dev (>= 0.11),
 libxapp-dev (>= 2.0.0),
 libxfixes-dev (>= 1:5.0),
 meson (>= 0.47.0),
 python3:any,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: http://cinnamon.linuxmint.com
Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon
Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon.git

Package: cinnamon
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-common (= ${source:Version}),
 cinnamon-control-center (>= 5.6),
 cinnamon-desktop-data (>= 5.6),
 cinnamon-screensaver (>= 5.6),
 cinnamon-session (>= 5.4),
 cinnamon-settings-daemon (>= 5.4.3),
 cjs (>= 5.4),
 cups-pk-helper,
 dbus,
 gir1.2-accountsservice-1.0,
 gir1.2-caribou-1.0,
 gir1.2-cmenu-3.0 (>= 5.4),
 gir1.2-cvc-1.0 (>= 5.6),
 gir1.2-ecal-2.0,
 gir1.2-edataserver-1.2,
 gir1.2-gdkpixbuf-2.0,
 gir1.2-gkbd-3.0,
 gir1.2-glib-2.0,
 gir1.2-gnomedesktop-3.0,
 gir1.2-goa-1.0,
 gir1.2-gtk-3.0,
 gir1.2-ical-3.0,
 gir1.2-keybinder-3.0,
 gir1.2-nemo-3.0 (>= 5.6),
 gir1.2-nm-1.0 [linux-any],
 gir1.2-nma-1.0 [linux-any],
 gir1.2-notify-0.7,
 gir1.2-pango-1.0,
 gir1.2-polkit-1.0,
 gir1.2-soup-2.4,
 gir1.2-gsound-1.0,
 gir1.2-timezonemap-1.0,
 gir1.2-upowerglib-1.0,
 gir1.2-xapp-1.0 (>= 1.9.0),
 gkbd-capplet,
 gnome-backgrounds,
 gnome-themes-extra,
 gsettings-desktop-schemas (>= 0.1.7),
 iso-flags-png-320x240,
 libcinnamon-desktop4 (>= 5.6),
 libcinnamon-menu-3-0 (>= 5.4),
 libcjs0 (>= 5.4),
 libglib2.0-bin,
 libmuffin0 (>= 5.6~),
 mesa-utils,
 muffin (>= 5.6~),
 nemo (>= 5.6),
 network-manager-gnome [linux-any],
 pkexec,
 policykit-1-gnome (>= 0.105-6),
 psmisc,
 python3,
 python3-dbus,
 python3-distro,
 python3-gi,
 python3-gi-cairo,
 python3-pampy,
 python3-pexpect,
 python3-pil,
 python3-pyinotify,
 python3-requests,
 python3-setproctitle,
 python3-tinycss2,
 python3-tz,
 ${gir:Depends},
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 blueman,
 cinnamon-core,
 cinnamon-l10n (>= 5.6),
 gnome-terminal,
 inxi,
 libcanberra-pulse,
 libxapp-gtk3-module,
 metacity-common,
 xapp-sn-watcher
Suggests: cinnamon-desktop-environment, cinnamon-doc, python3-opencv
Provides: notification-daemon, x-window-manager
Breaks: cinnamon-core (<< 5.4~)
Description: Innovative and comfortable desktop
 Cinnamon is a desktop environment which provides advanced innovative
 features and a traditional user experience.
 .
 The desktop layout is similar to GNOME 2.  The underlying technology is
 forked from gnome-shell.  The emphasis is put on making users feel at home
 and providing them with an easy to use and comfortable desktop experience.

Package: cinnamon-common
Architecture: all
Depends:
 gettext,
 gir1.2-cinnamondesktop-3.0 (>= 5.6),
 gir1.2-meta-muffin-0.0 (>= 5.6~),
 libglib2.0-bin,
 python3-xapp,
 xdg-utils,
 ${misc:Depends},
 ${python3:Depends},
Description: Innovative and comfortable desktop (Common data files)
 Cinnamon is a desktop environment which provides advanced innovative
 features and a traditional user experience.
 .
 The desktop layout is similar to GNOME 2.  The underlying technology is
 forked from gnome-shell.  The emphasis is put on making users feel at home
 and providing them with an easy to use and comfortable desktop experience.
 .
 This package contains the data files needed by Cinnamon

Package: cinnamon-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: devhelp
Description: Innovative and comfortable desktop (Documentation)
 Cinnamon is a desktop environment which provides advanced innovative
 features and a traditional user experience.
 .
 The desktop layout is similar to GNOME 2.  The underlying technology is
 forked from gnome-shell.  The emphasis is put on making users feel at home
 and providing them with an easy to use and comfortable desktop experience.
 .
 This package contains the documentation files distributed with Cinnamon.

## cinnamon 5.6.7

=== debian/changelog ===
cinnamon (5.6.7-1) unstable; urgency=medium

  * New upstream version 5.6.7
  * Update standards version to 4.6.2, no changes needed

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Mon, 16 Jan 2023 20:39:02 +0100

## cinnamon 5.6.8

=== meson_options.txt ===
option('docs',
    type: 'boolean',
    value: false,
    description: 'Build the API references (requires gtk-doc)'
)
option('deprecated_warnings',
    type: 'boolean',
    value: false,
    description: 'Show build warnings for deprecations'
)
option('build_recorder',
    type: 'boolean',
    value: true,
    description: 'Build the cinnamon recorder into source'
)
option('disable_networkmanager',
    type: 'boolean',
    value: false,
    description: 'Build without networkmanager'
)
option('py3modules_dir',
    type : 'string',
    value : '',
    description: 'Where to install python3 modules'
)

=== debian/changelog ===
cinnamon (5.6.8-1) unstable; urgency=medium

  * New upstream bugfix version 5.6.8 (Closes: #1032912)

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 19 Mar 2023 22:38:37 +0100

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
  libxfixes-dev (>= 1:5.0),
  meson (>= 0.47.0),
  python3:any,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://cinnamon.linuxmint.com
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Force UTF8 to workaround doc build error
export LC_ALL=C.UTF-8

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

CONFIGURE_EXTRA_FLAGS = \
	-Ddocs=true \
	-D py3modules_dir=/usr/lib/python3/dist-packages

ifneq ($(DEB_HOST_ARCH_OS),linux)
	CONFIGURE_EXTRA_FLAGS += \
	-Ddisable_networkmanager=true
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_EXTRA_FLAGS)

override_dh_auto_test:
	# Disable tests, upstream doesn't use them
	:

override_dh_install-indep:
	dh_install

	rm -f debian/cinnamon-common/usr/share/cinnamon/js/misc/config.js

override_dh_install-arch:
	dh_install -X.la

override_dh_python3:
	dh_python3 /usr/share/cinnamon

override_dh_makeshlibs:
	dh_makeshlibs -pcinnamon -Xlibcinnamon
	dh_makeshlibs --remaining-packages

## cinnamon 5.6.8%2Bvera

=== debian/changelog ===
cinnamon (5.6.8+vera) vera; urgency=medium

  [ Michael Webster ]
  * grouped-window-list: Make appGroup's flashButton sane, fix invalid source id.
  * cinnamon-screenshot.c: Disable unredirection when taking a screenshot.

  [ hdulme ]
  * remove unused import cairo

  [ Bobby Rong ]
  * cs_themes: load theme thumbnail from XDG_DATA_DIRS (#11497)

  [ Michael Webster ]
  * gwl: Fix typo.
  * sound applet: Clear the source ID in Seeker._timerCallback().
  * window-list: Fix signal name for tile notifications.
  * overrides.js: Silently fail to install polyfills.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 16 Mar 2023 13:54:55 +0000

cinnamon (5.6.7) vera; urgency=medium

  [ Clement Lefebvre ]
  * makepot: Include Translators comments for JS
  * l10n: Update POT

  [ Rick Calixte ]
  * layout.js: Fix for ES6 compatibility

  [ Michael Webster ]
  * windowManager.js: Fix traditional mapping effect.
  * windowManager.js: Remove some unnecessary code.
  * classicSwitcher: Fix icon spacing when transitioning to the next smaller size.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 16 Jan 2023 14:54:11 +0000

cinnamon (5.6.6) vera; urgency=medium

  [ Clement Lefebvre ]
  * l10n: Update POT

  [ Michael Webster ]
  * cinnamon-settings themes: Check both new and legacy theme folders when uninstalling.
  * startupAnimation.js: Make sure the shroud actor remains the size of the stage during startup.
  * systray applet: Use the correct panel size when reloading icons.
  * PanelManager: Keep track of the number of monitors.
  * ChooserButtonWidgets: Fix button and menu images in hidpi.
  * Fix reverse mouse scroll in the app switcher.
  * window list: Ignore smooth scroll events when mousewheel cycling is enabled.
  * makepot: Include comments from js files.
  * Populate desktop files with new/changed translations.
  * harvester.py: See if any spices are installed before going online to get new metadata.

  [ MDPenguin ]
  * appSwitcher: ignore smooth scrolling

  [ Michael Webster ]
  * cs_keyboard: Remove stray print line.
  * cs_default: Don't use translated strings as dictionary keys.
  * windowMenu.js: Don't display for desktop windows.

  [ Clement Lefebvre ]
  * Revert "makepot: Include comments from js files."

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Jan 2023 10:22:30 +0000

cinnamon (5.6.5) vera; urgency=medium

  [ Tibladar ]
  * Fix old cache folder (#11318)

  [ Clement Lefebvre ]
  * cs_mouse: Fix range labels for touchpad speed widget

  [ Michael Webster ]
  * python-updater: Download thumbs only during a 'full' update, make sure the cache folders exist every time we try to access them, not just during construction (they may have been deleted).
  * gwl: Update instances correctly when the monitor configuration changes.
  * python updater: Reduce json update timeout to 15s.

  [ Clement Lefebvre ]
  * Menu applet: Don't use start-here icon

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 15 Dec 2022 12:33:42 +0000

cinnamon (5.6.4) vera; urgency=medium

  [ Clement Lefebvre ]
  * Revert "cs_themes: Make mouse cursor size configurable"
  * cs_themes: Add thumbnails for Bibata Original

  [ Michael Webster ]
  * cs_windows: Restore configuration for initial window placement.

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 29 Nov 2022 16:31:00 +0000

cinnamon (5.6.3) vera; urgency=medium

  * cs_themes: Make mouse cursor size configurable
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Nov 2022 14:24:34 +0000

cinnamon (5.6.2) vera; urgency=medium

  * cs_themes: Place legacy themes at the bottom
  * theme: Update cinnamon thumbnails
  * cs_themes: Reorder sections
  * cs_themes: Update cursor thumbnails
  * cs_themes: Sort cursor themes alphabetically

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 24 Nov 2022 22:02:06 +0000

cinnamon (5.6.1) vera; urgency=medium

  * cs_info: Fix cosmetic issues with system icon
  * cs_default: Fix small issues

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 18 Nov 2022 12:00:32 +0000

cinnamon (5.6.0) vera; urgency=medium

  [ Michael Webster ]
  * workspacesView.js: Disconnect swipe handlers during destroy instead of unmapping.
  * Update issue templates.
  * messageTray.js: Don't assume the primary monitor is at index 0.
  * modalDialog.js: Don't assume monitor 0 is the primary.

  [ hdulme ]
  * remove trailing semicolons
  * remove trailing semicolons

  [ Asghwor ]
  * Fix inconsistent keyboard navigation in the Scale View and in the Expo View. (#11098)

  [ hduelme ]
  * fix variable name (#11152)

  [ Michael Webster ]
  * gwl: don't pass the wrong arguments to windowRemoved.
  * expo: Update the window's starting position when an update is triggered, in case the window moved to a different monitor during a drag.
  * overrides: Make MetaWindowActor.get_workspace always return an index;
  * Use github instead of circleci.
  * workflow: Fix dependency line.. maybe.
  * workflow: Go back to folded style.

  [ Clement Lefebvre ]
  * settings: Make use of cinnamon-driver-manager shortcut

  [ Monteiro ]
  * gwl: fix reload dragging pinned apps when group windows setting is disabled (#11191)

  [ hduelme ]
  * replace deprecated use of GObject.SIGNAL_RUN_FIRST by GObject.SignalFlags.RUN_FIRST (#11128)

  [ Joshua Peisach ]
  * cs_windows.py: Properly import CDesktopEnums (#10844)

  [ Clement Lefebvre ]
  * cs_themes.py: Don't print an error if metadata.json is missing
  * cs_themes.py: Separate light/dark/darker themes
  * Add new cornerbar applet
  * Panel: Replace show-desktop with cornerbar
  * l10n: Update POT

  [ Michael Webster ]
  * corner-bar: Don't track_hover on the bar actor.
  * desklets: Allow desklets to be locked in place.

  [ hdulme ]
  * remove trailing semicolons

  [ Joshua Peisach ]
  * cs-info: Add system icon (#11090)

  [ Michael Webster ]
  * cs_info: Keep system image a reasonable size.
  * debian/control: Add missing dependency.


## cinnamon 5.6.8+elsie

=== debian/changelog ===
cinnamon (5.6.8+elsie) vera; urgency=medium

  [ Michael Webster ]
  * grouped-window-list: Make appGroup's flashButton sane, fix invalid source id.
  * cinnamon-screenshot.c: Disable unredirection when taking a screenshot.

  [ hdulme ]
  * remove unused import cairo

  [ Bobby Rong ]
  * cs_themes: load theme thumbnail from XDG_DATA_DIRS (#11497)

  [ Michael Webster ]
  * gwl: Fix typo.
  * sound applet: Clear the source ID in Seeker._timerCallback().
  * window-list: Fix signal name for tile notifications.
  * overrides.js: Silently fail to install polyfills.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 16 Mar 2023 13:54:55 +0000

## cinnamon 5.6.8+vera

=== debian/control ===
Source: cinnamon
Section: x11
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 dpkg-dev (>= 1.16.1~),
 gir1.2-json-1.0,
 gnome-pkg-tools (>= 0.11),
 gobject-introspection (>= 1.29.15),
 gtk-doc-tools,
 intltool,
 libcinnamon-desktop-dev (>= 5.3),
 libcinnamon-menu-3-dev (>= 4.8),
 libcjs-dev (>= 4.8),
 libdbus-1-dev,
 libgirepository1.0-dev (>= 1.29.15),
 libgl1-mesa-dev,
 libglib2.0-dev (>= 2.52),
 libgstreamer1.0-dev,
 libgtk-3-dev (>= 3.9.12),
 libgudev-1.0-dev,
 libjson-glib-dev (>= 0.13.2),
 libmuffin-dev (>= 5.3),
 libnm-dev (>= 1.6) [linux-any],
 libnma-dev [linux-any],
 libpolkit-agent-1-dev (>= 0.100),
 libpulse-dev,
 librsvg2-dev,
 libstartup-notification0-dev (>= 0.11),
 libxapp-dev (>= 2.0.0),
 libxfixes-dev (>= 1:5.0),
 meson,
 python3:any,
Standards-Version: 3.9.5
Homepage: https://projects.linuxmint.com/cinnamon/

Package: cinnamon
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 adwaita-icon-theme,
 cinnamon-common,
 cinnamon-control-center,
 cinnamon-desktop-data (>= 5.3),
 cinnamon-l10n,
 cinnamon-screensaver,
 cinnamon-session,
 cinnamon-settings-daemon (>= 5.3),
 cjs (>= 4.8),
 cups-pk-helper,
 gir1.2-accountsservice-1.0,
 gir1.2-caribou-1.0,
 gir1.2-cinnamondesktop-3.0 (>= 5.3),
 gir1.2-cmenu-3.0 (>= 4.8),
 gir1.2-cvc-1.0,
 gir1.2-ecal-2.0,
 gir1.2-edataserver-1.2,
 gir1.2-gdkpixbuf-2.0,
 gir1.2-gkbd-3.0,
 gir1.2-goa-1.0,
 gir1.2-gsound-1.0,
 gir1.2-gtkclutter-1.0,
 gir1.2-ical-3.0,
 gir1.2-keybinder-3.0,
 gir1.2-meta-muffin-0.0 (>= 5.3),
 gir1.2-nm-1.0 [linux-any] | gir1.2-networkmanager-1.0 [linux-any],
 gir1.2-nma-1.0 [linux-any],
 gir1.2-notify-0.7,
 gir1.2-polkit-1.0,
 gir1.2-soup-2.4,
 gir1.2-upowerglib-1.0,
 gir1.2-xapp-1.0 (>= 1.9.0),
 gkbd-capplet,
 gsettings-desktop-schemas (>= 0.1.7),
 iso-flag-png,
 inxi,
 libcanberra-pulse,
 libcinnamon-desktop4 (>= 5.3),
 libcinnamon-menu-3-0,
 libcjs0,
 libglib2.0-bin,
 libmuffin0 (>= 5.3),
 mate-panel | gnome-panel | tint2,
 mesa-utils,
 metacity,
 nemo,
 network-manager-gnome [linux-any],
 policykit-1-gnome,
 python3,
 python3-dbus,
 python3-distro,
 python3-gi,
 python3-gi-cairo,
 python3-pam | python3-pampy,
 python3-pexpect,
 python3-pil,
 python3-pyinotify,
 python3-requests,
 python3-setproctitle,
 python3-tinycss2 | python3-tinycss,
 python3-tz,
 streamer,
 wget,
 xapps-common (>= 1.9.0),
 ${gir:Depends},
 ${icon-theme:Depends},
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 gnome-terminal | x-terminal-emulator,
 gnome-themes-extra | gnome-themes-standard,
Suggests: cinnamon-doc
Provides: notification-daemon, x-window-manager
Description: Modern Linux desktop
 Cinnamon is a modern Linux desktop which provides advanced innovative
 features and a traditional user experience. It's easy to use, powerful
 and flexible.

Package: cinnamon-common
Architecture: all
Depends:
 gettext,
 gir1.2-cinnamondesktop-3.0 (>= 5.3),
 gir1.2-meta-muffin-0.0 (>= 5.3),
 gir1.2-timezonemap-1.0,
 python3-xapp,
 xdg-utils,
 ${misc:Depends},
 ${python3:Depends},
Description: Cinnamon desktop (Common data files)
 Cinnamon is a modern Linux desktop which provides advanced innovative
 features and a traditional user experience. It's easy to use, powerful
 and flexible.
 .
 This package contains the architecture independent files needed by Cinnamon

Package: cinnamon-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 cinnamon (= ${binary:Version}),
 cinnamon-control-center-dbg,
 libcinnamon-desktop-dbg (>= 5.3),
 libcinnamon-menu-3-0-dbg (>= 4.8),
 libcjs-dbg (>= 4.8),
 libcvc-dbg,
 muffin-dbg (>= 5.3),
 nemo-dbg,
 ${misc:Depends},
Description: Debugging symbols for the Cinnamon desktop
 Cinnamon is a modern Linux desktop which provides advanced innovative
 features and a traditional user experience. It's easy to use, powerful
 and flexible.
 .
 This package contains the debugging symbols.

Package: cinnamon-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: devhelp, ${misc:Depends}
Description: Cinnamon documentation
 Cinnamon is a modern Linux desktop which provides advanced innovative
 features and a traditional user experience. It's easy to use, powerful
 and flexible.
 .
 This package contains the code documentation for various Cinnamon components.

## cinnamon 5.8.0+victoria

=== debian/changelog ===
cinnamon (5.8.0+victoria) victoria; urgency=medium

  [ Michael Webster ]
  * grouped-window-list: Make appGroup's flashButton sane, fix invalid source id.
  * cinnamon-screenshot.c: Disable unredirection when taking a screenshot.

  [ hdulme ]
  * remove unused import cairo

  [ hduelme ]
  * use Gtk types in ChooserButtonWidgets instead of ints (#11296)
  * simplify boolean expressions (#11323)
  * simplify DEBUG detection harvester.py (#11327)

  [ Michael Webster ]
  * trash@cinnamon.org: Refactor to use asynchronous methods entirely.

  [ Bobby Rong ]
  * cs_themes: load theme thumbnail from XDG_DATA_DIRS (#11497)

  [ Michael Webster ]
  * gwl: Fix typo.
  * sound applet: Clear the source ID in Seeker._timerCallback().
  * window-list: Fix signal name for tile notifications.

  [ Julián ]
  * Sound applet: added special case for Firefox icon. (#11314)

  [ Michael Webster ]
  * Stop using CinnamonScreen everywhere.
  * overrides.js: Silently fail to install polyfills.

  [ hduelme ]
  * added type hints to util.py (#11291)

  [ Mintulix ]
  * cornerbar@cinnamon.org: added scroll-event from SW++@mohammad-sn (#11321)

  [ Clement Lefebvre ]
  * cs_themes: Add a simplified UI (#11548)

  [ claudiux ]
  * Update applet.js (#11484)

  [ Rick Calixte ]
  * Adding a setting to warp mouse pointer after Alt+Tab action completes
  * Fix whitespace

  [ fredcw ]
  * Add category hover style for Cinnamenu applet... (#11451)

  [ Axel ]
  * feat(menu@cinnamon.org): Add Menu editor entry to applet context menu (#11561)

  [ Clement Lefebvre ]
  * cs_themes: Add relief to simplified/advanced buttons

  [ fredcw ]
  * Use pseudo class 'hover' instead of class ... (#11473)

  [ sphh ]
  * Enables extensions marked to overide version check to be removed. (#11510)

  [ Rick Calixte ]
  * Remove simple-system-monitor@ariel as a known conflict (#11591)

  [ Tom Pfaffe ]
  * Fix super+shift+number not disabling in grouped-window-list applet (#11464)

  [ Michael Webster ]
  * cs_themes.py: Keep the current variant between modes if possible.
  * panel-launchers: Don't allow the size of custom icons to be reset.
  * cs_themes.py: Make sure activate_mode always activates a mode.
  * cinnamon-desktop-editor: Use a path when setting a panel-launcher icon.

  [ Attila Greguss ]
  * Provide `.gir` files in cinnamon package (#11335)

  [ Anaxímeno Brito ]
  * fix: update workspace switcher layout on monitors update signal (#11523)

  [ virumoru ]
  * Update ChooserButtonWidgets.py (#11595)

  [ claudiux ]
  * Update placesManager.js to fix #11623 (#11624)

  [ Rick Calixte ]
  * cs_info.py and org.cinnamon.gschema.xml: Fix undefined var and cleanup dconf strings (#11609)

  [ Anaxímeno Brito ]
  * fix: cursor not changing for qt5 apps on settings (#11492)

  [ Evgeniy Zhabotinskiy ]
  * window-list: make UseEntrieSpace honor buttonWidth (#11608)

  [ Michael Webster ]
  * Expose middle-click paste setting.

  [ Dosenpfand ]
  * Calendar Applet: Custom Tooltip Date Format (#11628)

  [ Attila Greguss ]
  * Fix popup menu content not stretching to its full size (#11612)

  [ claudiux ]
  * backgroundManager.js - Stop flooding ~/.xsession-errors in case of diaporama (#11641)

  [ Attila Greguss ]
  * Revert to themes and icons directory in home folder as default (#11643)

  [ Michael Webster ]
  * cs_themes.py: Fix refresh method name.
  * Use new bug report form.
  * Redirect feature requests to github.com/orgs/linuxmint/discussions.

  [ Lanchon ]
  * power: Add settings to disable low battery warnings for connected devices (#11599)

  [ Michael Webster ]
  * github workflow: Add optional ssh session.
  * Add keyboard shortcuts for warping the mouse pointer between monitors.
  * deskletManager.js: Fix incorrect variable name.
  * Halt the build if meson_install_schemas.py fails.

  [ Clement Lefebvre ]
  * cs_themes: Add setting for Dark Mode
  * l10n: Update POT

  [ Michael Webster ]
  * KeybindingWidgets.py: Ignore key-release events that aren't part of an active shortcut edit.
  * Use switcheroo for gpu offloading. (#11645)

  [ Tibladar ]
  * layout.js: Check existence of monitor before usage (#11348)
  * virtualKeyboard.js: Check layout existence before usage (#11346)

  [ Rick Calixte ]
  * build.yml: Add xdg-desktop-portal-xapp dependency (#11679)

  [ Clement Lefebvre ]
  * notifications: Prefer symbolic icons (#11637)

  [ brownsr ]
  * background effects: rework and turn on

  [ Michael Webster ]
  * Use stage coordinates for cogl_framebuffer_read_pixels().

  [ Bobby Rong ]
  * main.js: re-declare Main.gpu_offload_supported (#11685)

  [ Florian Wickert ]
  * Save/restore NO_GAIL and NO_AT_BRIDGE environment variables (#11673)

  [ Michael Webster ]
  * Add gesture support using touchegg.
  * Better icon - courtesy of @haggen88.

  [ Clement Lefebvre ]
  * cornerbar: Remove useless tooltip
  * l10n: Update POT
  * l10n: Update POT

  [ fredcw ]
  * Make menu applet resizable with mouse
  * Add class to make applets resizable with mouse

  [ Clement Lefebvre ]
  * Packaging: recommend touchegg

  [ Michael Webster ]
  * gestures: Improve some cleanup, logging, fix crash when toggling on/off.
  * menu applet: Add settings button to restore original size, re-size the menu when the ui scale changes.

  [ Clement Lefebvre ]
  * l10n: Update POT
  * l10n: Generate module files

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 07 Jun 2023 15:14:34 +0100

## cinnamon 5.8.1+victoria

=== debian/changelog ===
cinnamon (5.8.1+victoria) victoria; urgency=medium

  * Revert "l10n: Generate module files"
  * Update generate_cs_module_desktop_files.py script
  * l10n: Generate module files
  * l10n: Generate additional files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jun 2023 12:57:11 +0100

cinnamon (5.8.0) victoria; urgency=medium

  [ Michael Webster ]
  * grouped-window-list: Make appGroup's flashButton sane, fix invalid source id.
  * cinnamon-screenshot.c: Disable unredirection when taking a screenshot.

  [ hdulme ]
  * remove unused import cairo

  [ hduelme ]
  * use Gtk types in ChooserButtonWidgets instead of ints (#11296)
  * simplify boolean expressions (#11323)
  * simplify DEBUG detection harvester.py (#11327)

  [ Michael Webster ]
  * trash@cinnamon.org: Refactor to use asynchronous methods entirely.

  [ Bobby Rong ]
  * cs_themes: load theme thumbnail from XDG_DATA_DIRS (#11497)

  [ Michael Webster ]
  * gwl: Fix typo.
  * sound applet: Clear the source ID in Seeker._timerCallback().
  * window-list: Fix signal name for tile notifications.

  [ Julián ]
  * Sound applet: added special case for Firefox icon. (#11314)

  [ Michael Webster ]
  * Stop using CinnamonScreen everywhere.
  * overrides.js: Silently fail to install polyfills.

  [ hduelme ]
  * added type hints to util.py (#11291)

  [ Mintulix ]
  * cornerbar@cinnamon.org: added scroll-event from SW++@mohammad-sn (#11321)

  [ Clement Lefebvre ]
  * cs_themes: Add a simplified UI (#11548)

  [ claudiux ]
  * Update applet.js (#11484)

  [ Rick Calixte ]
  * Adding a setting to warp mouse pointer after Alt+Tab action completes
  * Fix whitespace

  [ fredcw ]
  * Add category hover style for Cinnamenu applet... (#11451)

  [ Axel ]
  * feat(menu@cinnamon.org): Add Menu editor entry to applet context menu (#11561)

  [ Clement Lefebvre ]
  * cs_themes: Add relief to simplified/advanced buttons

  [ fredcw ]
  * Use pseudo class 'hover' instead of class ... (#11473)

  [ sphh ]
  * Enables extensions marked to overide version check to be removed. (#11510)

  [ Rick Calixte ]
  * Remove simple-system-monitor@ariel as a known conflict (#11591)

  [ Tom Pfaffe ]
  * Fix super+shift+number not disabling in grouped-window-list applet (#11464)

  [ Michael Webster ]
  * cs_themes.py: Keep the current variant between modes if possible.
  * panel-launchers: Don't allow the size of custom icons to be reset.
  * cs_themes.py: Make sure activate_mode always activates a mode.
  * cinnamon-desktop-editor: Use a path when setting a panel-launcher icon.

  [ Attila Greguss ]
  * Provide `.gir` files in cinnamon package (#11335)

  [ Anaxímeno Brito ]
  * fix: update workspace switcher layout on monitors update signal (#11523)

  [ virumoru ]
  * Update ChooserButtonWidgets.py (#11595)

  [ claudiux ]
  * Update placesManager.js to fix #11623 (#11624)

  [ Rick Calixte ]
  * cs_info.py and org.cinnamon.gschema.xml: Fix undefined var and cleanup dconf strings (#11609)

  [ Anaxímeno Brito ]
  * fix: cursor not changing for qt5 apps on settings (#11492)

  [ Evgeniy Zhabotinskiy ]
  * window-list: make UseEntrieSpace honor buttonWidth (#11608)

  [ Michael Webster ]
  * Expose middle-click paste setting.

  [ Dosenpfand ]
  * Calendar Applet: Custom Tooltip Date Format (#11628)

  [ Attila Greguss ]
  * Fix popup menu content not stretching to its full size (#11612)

  [ claudiux ]
  * backgroundManager.js - Stop flooding ~/.xsession-errors in case of diaporama (#11641)

  [ Attila Greguss ]
  * Revert to themes and icons directory in home folder as default (#11643)

  [ Michael Webster ]
  * cs_themes.py: Fix refresh method name.
  * Use new bug report form.
  * Redirect feature requests to github.com/orgs/linuxmint/discussions.

  [ Lanchon ]
  * power: Add settings to disable low battery warnings for connected devices (#11599)

  [ Michael Webster ]
  * github workflow: Add optional ssh session.
  * Add keyboard shortcuts for warping the mouse pointer between monitors.
  * deskletManager.js: Fix incorrect variable name.
  * Halt the build if meson_install_schemas.py fails.

  [ Clement Lefebvre ]
  * cs_themes: Add setting for Dark Mode
  * l10n: Update POT

  [ Michael Webster ]
  * KeybindingWidgets.py: Ignore key-release events that aren't part of an active shortcut edit.
  * Use switcheroo for gpu offloading. (#11645)

  [ Tibladar ]
  * layout.js: Check existence of monitor before usage (#11348)
  * virtualKeyboard.js: Check layout existence before usage (#11346)

  [ Rick Calixte ]
  * build.yml: Add xdg-desktop-portal-xapp dependency (#11679)

  [ Clement Lefebvre ]
  * notifications: Prefer symbolic icons (#11637)

  [ brownsr ]
  * background effects: rework and turn on

  [ Michael Webster ]
  * Use stage coordinates for cogl_framebuffer_read_pixels().

  [ Bobby Rong ]
  * main.js: re-declare Main.gpu_offload_supported (#11685)

  [ Florian Wickert ]
  * Save/restore NO_GAIL and NO_AT_BRIDGE environment variables (#11673)

  [ Michael Webster ]
  * Add gesture support using touchegg.
  * Better icon - courtesy of @haggen88.

  [ Clement Lefebvre ]
  * cornerbar: Remove useless tooltip
  * l10n: Update POT
  * l10n: Update POT

  [ fredcw ]
  * Make menu applet resizable with mouse
  * Add class to make applets resizable with mouse

  [ Clement Lefebvre ]
  * Packaging: recommend touchegg

  [ Michael Webster ]
  * gestures: Improve some cleanup, logging, fix crash when toggling on/off.
  * menu applet: Add settings button to restore original size, re-size the menu when the ui scale changes.

  [ Clement Lefebvre ]
  * l10n: Update POT
  * l10n: Generate module files

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 07 Jun 2023 15:14:34 +0100

## cinnamon 5.8.2+victoria

=== debian/changelog ===
cinnamon (5.8.2+victoria) victoria; urgency=medium

  [ Michael Webster ]
  * Improve gesture settings, inform the user about common failure reasons.
  * cs_gestures.py: Use opacity and not visiblity for hiding/showing the stack switcher.

  [ Clement Lefebvre ]
  * l10n: Update POT

  [ Michael Webster ]
  * gestures: Don't kill the touchegg client.

  [ fredcw ]
  * cs_themes.py: fix themes not updating (#11699)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 14 Jun 2023 09:28:03 +0200

cinnamon (5.8.1) victoria; urgency=medium

  * Revert "l10n: Generate module files"
  * Update generate_cs_module_desktop_files.py script
  * l10n: Generate module files
  * l10n: Generate additional files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jun 2023 12:57:11 +0100

## cinnamon 5.8.3+victoria

=== debian/changelog ===
cinnamon (5.8.3+victoria) victoria; urgency=medium

  [ fredcw ]
  * js/misc/util.js: Add function splitByGlyph
  * Sound applet: Truncate applet panel text by glyph instead...

  [ Clement Lefebvre ]
  * Theme settings: Add crossfade effect to stack

  [ Michael Webster ]
  * cinnamon-settings: Make sure the theme correctly falls back to hicolor when looking up icons.

  [ fredcw ]
  * Cinnamon theme: allow different text sizes in menu applet search box (#11718)

  [ Michael Webster ]
  * grouped-window-list: appGroup - make sure to call PopupMenu.close() when destroying the hover menu.

  [ claudiux ]
  * Update fileUtils.js to avoid error messages (#11715)

  [ fredcw ]
  * menu applet: fix menu changing size (#11720)

  [ Michael Webster ]
  * virtual keyboard: Fix size management.

  [ fredcw ]
  * menu applet: fix category button styling bug

  [ Tibladar ]
  * cs_info: Fix space in URLs (#11714)

  [ Michael Webster ]
  * gestures: Only allow window actions on ordinary windows and dialogs.
  * gestures: Ignore update and end events for disabled actions.

  [ fredcw ]
  * Menu applet: Reduce default menu size (#11724)

  [ Michael Webster ]
  * theme settings: Don't use an additional stack for custom mode.

  [ Anaxímeno Brito ]
  * Update the default gestures actions (#11725)

  [ Clement Lefebvre ]
  * theme settings: Add margins

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 26 Jun 2023 10:56:21 +0200

cinnamon (5.8.2) victoria; urgency=medium

  [ Michael Webster ]
  * Improve gesture settings, inform the user about common failure reasons.
  * cs_gestures.py: Use opacity and not visiblity for hiding/showing the stack switcher.

  [ Clement Lefebvre ]
  * l10n: Update POT

  [ Michael Webster ]
  * gestures: Don't kill the touchegg client.

  [ fredcw ]
  * cs_themes.py: fix themes not updating (#11699)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 14 Jun 2023 09:28:03 +0200
